@import 'https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css';
@import 'https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css';

/* Global */
h1,h2,h3,h4{margin: 0;}
h2{font-size: clamp(1.5em, 2vw, 2.5em);}
.extra-subtitles{margin-bottom: 20px;}
/* End */
.banner, .fill:before, .fill img{height: 60vh;}

.fill:before {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 5;
  content: "";
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
}

.fill img{
  width: 100%;
  object-fit: cover;
}

main{padding: 4em;}

.blog-content {
  gap: 3em;
  display: flex;
  margin: 0 auto;
  flex-direction: row;
  max-width: 1800px;
}

.content-side:first-child {width: 65%;}
.content-side:last-child {width: 35%;}

.content-sticky {
  top: 1em;
  position: sticky;
}

.category-post{
  gap: 20px;
  display: flex;
  flex-direction: row;
}

.category-post a {
  display: block;
  font-size: 15px;
  padding: 3px 15px;
  border-radius: 8px;
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: fit-content;
  background-color: maroon;
  overflow: hidden !important;
}

h1{
  line-height: 1;
  margin: .5em 0 0;
  font-size: clamp(1.7em, 3vw, 3.4em);
}

.intro-post{
  font-weight: bold;
  /* max-width: 1040px; */
  margin-bottom: 2em;
}

/* Platform Test Specifications */
.test-components {margin: 2em 0 3em;}

/* .test-specs{
  gap: 20px;
  display: grid;
  grid-auto-flow: row;
  grid-template-rows: 1fr;
  grid-template-columns: repeat(auto-fill, minmax(min(100%, 31%), 1fr));
} */

.spec-card {
  gap: 10px;
  height: auto;
  transition: .5s;
  margin: 0 10px;
  transition: .4s all;
  align-items: center;
  padding: 10px 15px;
  flex-direction: row;
  border-radius: 20px;
  border: 2px solid white;
  display: flex !important;
  justify-content: space-between;
}

.spec-card:hover{transform: scale(0.9, 0.9);}
.spec-card-side:first-child {width: 70%;}
.spec-card-side:last-child {width: 30%;}

.spec-card h4{
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

/* .spec-card:hover .img-container {
  top: -2.5em;
  height: 100px;
} */

.img-container{
  top: 0;
  width: 100%;
  height: 90px;
  transition: .5s;
  position: relative;
  border-radius: 15px;
  border: 2px solid white;
  background-color: black;
}

.img-container img{
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  border-radius: 11px;
}

.spec-redirect {
  gap: 10px;
  display: flex;
  margin-top: 10px;
}

.spec-redirect a{
  font-size: 14px;
  padding: 2px 6px;
  border-radius: 6px;
  background-color: black;
}

.content-side iframe{
  height: 655px;
  border-radius: 15px;
}

/* Patch Accordion */
.software-patches {margin: 3em 0 1em;}
.wrapper {padding: 1em 0 0;}

.details-group {
  border-radius: 10px;
  border: 1px solid #CFD8DC;
  background-color: #5e5e5e45;
}

.details {
  overflow: hidden;
  border-bottom: 1px solid #CFD8DC;
  transition: height 300ms ease-in-out;
}

.details:last-child {border-bottom: 0;}
.details__summary, .details__content {padding: 24px;}

.details__summary {
  outline: 0;
  cursor: pointer;
  list-style: none;
  position: relative;
  padding-left: 48px;
  font-family: 'Gilroy ExtraBold';
  font-size: clamp(1.1em, 2vw, 1.5em);
  transition: color 300ms ease-in-out;
}

[open] > .details__summary {
  color: firebrick;
  border-bottom: 1px solid firebrick;
}

.details__summary::-webkit-details-marker {display: none;}

.details__summary:before, .details__summary:after {
  content: "";
  position: absolute;
}

.details__summary:before {
  top: 50%;
  left: 20px;
  height: 2px;
  width: 16px;
  margin-top: -1px;
  background: firebrick;
}

.details__summary:after {
  top: 50%;
  left: 28px;
  width: 2px;
  height: 16px;
  margin-top: -8px;
  margin-left: -1px;
  background: firebrick;
  transition: all 300ms ease-in-out;
}

[open] .details__summary:after {
  opacity: 0;
  transform: translateY(25%);
}

.details__content {
  padding-top: 0;
  padding-left: 48px;
}

.details__content ol li {
  margin: 7px 0;
  line-height: 1.2;
}
/* End */

/* Right Side Flexible Content*/
.game-rate-box{
  width: 90%;
  position: relative;
  border-radius: 15px;
  margin: 4em 0 0 3em;
  border: 1px solid white;
  box-shadow: rgba(136, 165, 191, 0.48) 6px 2px 16px 0px, rgba(255, 255, 255, 0.8) 4px 4px 16px 0px;
}

.game-rate{
  gap: 2em;
  display: flex;
  flex-direction: row;
}

.game-rate-side{position: relative;}
.game-rate-side:first-child {width: 25%;}
.game-rate-side:last-child {width: 75%;}

.game-rate-side .cover {
  top: -4em;
  left: -3em;
  width: 180px;
  display: block;
  transition: .5s;
  height: 237px;
  position: absolute;
  object-fit: cover;
  border-radius: 15px;
  border: 4px solid grey;
}

.game-rate-box:hover .game-rate-side .cover {
  top: -4.5em;
  left: -3.5em;
  box-shadow: rgba(240, 46, 170, 0.4) 5px 5px, rgba(240, 46, 170, 0.3) 10px 10px, rgba(240, 46, 170, 0.2) 15px 15px, rgba(240, 46, 170, 0.1) 20px 20px, rgba(240, 46, 170, 0.05) 25px 25px;
}

.game-stats {
  gap: 15px;
  display: flex;
  padding: 3em 0;
  flex-direction: column;
}

.game-stats h3{
  width: 100%;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

.platforms{
  gap: 10px;
  display: flex;
  align-items: center;
  flex-direction: row;
}

.platforms span {
  display: block;
  font-size: 15px;
  border: 3px solid;
  font-weight: bold;
  padding: 3px 10px;
  width: fit-content;
  border-radius: 8px;
  text-overflow: ellipsis;
  background-color: maroon;
  text-transform: uppercase;
  overflow: hidden !important;
}

.platform-box i{font-size: 22px;}

.platform-box .nswitch{
  width: 22px;
  display: block;
}

.platform-box.Android-iOS{background: rgb(46,223,133); background: linear-gradient(155deg, rgba(46,223,133,1) 0%, #3389b7  60%);}
.platform-box.Android{color: #1e9257;border-color: #2edf85;background-color: #96dbc3;}
.platform-box.iOS{background-color: #3389b7;}
.platform-box.NintendoSwitch{color: #e60012;border-color: #e60012;background-color: #db9696;}
.platform-box.PC{background-color: #202324;}
.platform-box.PS4-PS5{border: 2px solid white;background: rgb(0,48,135); background: linear-gradient(155deg, rgba(0,48,135,1) 0%, rgba(255,255,255,1) 67%); color: black;}
.platform-box.PS4{background-color: #003087;}
.platform-box.PS5{color: #007fb4;border-color: #00a4e8;background-color: #96b8db;}
.platform-box.XO-XS{background: #005500; background: linear-gradient(155deg, #005500 0%, #52b043  67%);}
.platform-box.Xbox{background-color: #005500;}
.platform-box.XOne, .platform-box.XSeries{color: #387c2d;border-color: #52b043;background-color: #addb96;}

/* Stars Plugin */
.kk-star-ratings .kksr-legend {
  right: 10px;
  position: absolute;
  font-family: 'Gilroy ExtraBold';
  font-size: clamp(1.3em, 2vw, 2.5em) !important;
}
/* End */

.indication {
  width: 100%;
  padding: 20px 10px;
  background-color: maroon;
  border-radius: 0 0 15px 15px;
}

.indication p {
  margin: 0;
  display: block;
  text-align: center;
  font-family: 'Gilroy ExtraBold';
  font-size: clamp(1.3em, 2vw, 1.5em);
}

p.review-rate {
  line-height: 1;
  font-size: clamp(0.8em, 1.1vw, 1em);
}

/* Rated Games */
.more-rate-games {
  gap: 30px;
  display: flex;
  margin: 5em 0;
  position: relative;
  flex-direction: column;
}

.more-rate-games h2 {font-size: clamp(1.5em, 2vw, 2.5em);}

.article-content {
  gap: 30px;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.article-side:first-child{width: 30%;}
.article-side:last-child{width: 70%;}

.article-categories {
  gap: 10px;
  display: flex;
  max-width: 92%;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.article-side img {
  width: 100%;
  height: 90px;
  display: block;
  object-fit: cover;
  /* min-height: 220px; */
  border-radius: 15px;
}

.article-core h2, .article-core p{
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.article-core h2{
  line-height: 1;
  margin: 0 0 10px;
  -webkit-line-clamp: 2;
  font-size: clamp(1.2em, 1.65vw, 1.6em) !important;
}

.article-core p{
  margin-top: 0;
  -webkit-line-clamp: 2;
}

.article-core span {
  display: flex;
  width: 300px;
  padding: 2px 15px;
  align-items: center;
  border-radius: 10px;
  min-width: fit-content;
  background-color: gray;
  justify-content: space-between;
}

.article-side a .kk-star-ratings .kksr-muted {opacity: 0;}
.article-side a .kk-star-ratings .kksr-legend {font-size: clamp(1.3em, 1.8vw, 1.8em) !important;}
.article-side a .kk-star-ratings {z-index: -1;position: relative;.}

i.fas.fa-star {color: gold;}
.a hr:last-child {display: none;}
hr.article-div {width: 80%;}

.see-all {
  display: block;
  margin: 0 auto;
  font-size: 18px;
  font-weight: bold;
  padding: 10px 15px;
  border-radius: 8px;
  max-width: fit-content;
  background-color: maroon;
}

/* Gallery Section */
.article-gallery {
/*   max-width: 90vw; */
gap: 2em;
  margin: 3em auto 5em;
  display: flex;
  flex-direction: row;
}

.gallery-side:first-child{
/* width: 60%; */
width: 100%;
}

/* .gallery-side:last-child{
  width: 40%;
} */

.article-gallery h2{
  line-height: 1;
  margin-bottom: 10px;
}

.article-gallery p{
  line-height: 1;
  margin: 0 0 30px;
}

.gallery-js{
  gap: 30px;
  display: grid;
  margin: 0 auto;
  grid-auto-rows: auto;
/*   grid-auto-rows: 70px; */
  grid-auto-flow: dense;
  grid-template-columns: repeat(auto-fill, minmax(min(27vw, 25rem), 1fr));
}

figure {
  width: 100%;
  margin: 0 !important;
}

.gallery-js a figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 15px;
}

.gallery-js a figure video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 15px;
}

.large, .mid, .small {
  display: flex;
  width: 100%;
  height: 100%;
  grid-column: auto / span 1;
}

.large {grid-row: span 7;}
.mid {grid-row: span 3;}
.small {grid-row: span 2;}

/* Popup Plugin */
.pswp__img {
  object-fit: contain;
  height: auto !important;
}

/* Ads */
.sponsor h2{margin-bottom: 30px;}
.ad-spacing{margin-bottom: 3em;}
.ad-mobile{display: none;}
/* End */

/* Portal Calification */
.portal-calification {margin-top: 3em;}

.calification-title{
  text-align: center;
  text-transform: uppercase;
  font-size: clamp(1em, 2vw, 2.5em);
}

.portal-calification h2 {
  display: flex;
  flex-direction: row;
  text-transform: uppercase;
  justify-content: space-between;
  font-size: clamp(1em, 2vw, 2.5em);
}

.portal-calification h2 span{
  width: 33%;
  text-align: center;
}

.content-boxes {
  gap: 1em;
  display: flex;
  margin: 2em 0 0;
  position: relative;
  flex-direction: row;
}

.opinion-box {
  width: 33%;
/*   height: 500px; */
  height: 19.6vw;
  border: 1px solid white;
  position: relative;
}

.opinion-box:nth-child(1){background-color: #27761b;}
.opinion-box:nth-child(2){background-color: #971111;}
.opinion-box:nth-child(3){background-color: #c9760a;}

.opinion-content {
  top: 0;
  z-index: 1;
  display: flex;
  width: 100%;
  height: 100%;
  position: absolute;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.opinion-content ul {
  gap: 3px;
  margin: 0;
  display: flex;
  font-size: 14px;
  flex-direction: column;
  padding: 0 20px 0 30px;
}

.opinion-blur{height: 100%;}

.blur-box {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: absolute;
}

.blur-box:after {
  left: 0;
  content: '';
  width: 100%;
  height: 100%;
  position: absolute;
  backdrop-filter: blur(11px);
  background-color: #0000000a;
}

canvas {
  width: 100%;
  height: 100%;
}

/* Recommendations */
.complement-devices{
  top: 5em;
  position: sticky;
}

.recommendation-container {
  gap: 15px;
  display: flex;
  flex-wrap: wrap;
  max-width: 100%;
  margin: 2em auto;
  flex-direction: row;
  justify-content: space-between;
}

.recommendation-card {
  width: 48%;
  display: flex;
  height: 150px;
  border-radius: 15px;
  align-items: flex-end;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.recommendation-card h3 {
  width: 100%;
  font-size: 15px;
  overflow: hidden;
  padding: 2px 10px;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  background-color: #000000bf;
}

/* Responsive Mode */
@media (max-width: 1920px){
  .test-specs {
    margin: 0 auto;
    max-width: 97%;
  }

  .gallery-js {grid-template-columns: repeat(auto-fill, minmax(min(100% , 19rem), 1fr));}
}

@media (max-width: 1680px){
  .game-rate {gap: 1em;}
  .game-rate-side:first-child {width: 35%;}
  .game-rate-side:last-child {width: 65%;}
}

@media (max-width: 1600px){
  .opinion-content ul li {line-height: 1.2;}
}

@media (max-width: 1500px){
  .spec-card {padding: 10px 8px;}
  .spec-card-side:first-child {width: 67%;}
  .spec-card-side:last-child {width: 33%;}
  .img-container {height: 80px;}
  .content-side iframe {height: 450px;}
}

@media (max-width: 1350px){
  .spec-card-side:first-child {width: 100%;}
  .spec-card-side:last-child {display: none;}
}

@media (max-width: 1300px){
  .ad-spacing {margin-bottom: 1em;}

  .game-rate-box {
    margin: 0;
    width: 100%;
  }

  .game-rate {
    align-items: center;
    padding: 2em 15px;
  }

  .game-rate-side .cover {
    left: 0;
    width: 100%;
    height: auto;
    position: absolute;
  }

  .game-rate-box:hover .game-rate-side .cover {
    left: 0;
    top: -6.5em;
    height: 140px;
    position: absolute;
  }

  .game-stats {
    gap: 10px;
    padding: 0;
  }

  .platform-box i {font-size: 16px;}
  .indication {padding: 10px;}
  .article-content {gap: 15px;}

  .kksr-icon{
    width: 20px !important;
    height: 20px !important;
  }

  .article-gallery {max-width: 100vw;}
  .gallery-js {grid-template-columns: repeat(auto-fill, minmax(min(100%, 12rem), 1fr));}
  .opinion-box {height: 310px;}
}

@media (max-width: 1200px){
  main {padding: 4em 3.5vw;}
  .content-side:first-child p {font-size: 15px;}

  .recommendation-container {
    gap: 10px;
    max-width: 100%;
  }

  .recommendation-card {
    width: 46%;
    justify-content: center;
  }

  .recommendation-card h3 {font-size: 13px;}
}

@media (max-width: 1100px){
  .pswp {z-index: 999999999 !important;}
  .opinion-content ul {font-size: 12px;}
}

@media (max-width: 1024px){
  .blog-content {gap: 2em;}
  .more-rate-games {margin: 4em 0;}

  .game-rate-side .cover {
    height: 12vw;
    min-height: 110px;
  }

  .gallery-js {gap: 20px;}
}

/* @media (max-width: 900px){
  .test-specs {grid-template-columns: repeat(auto-fill, minmax(min(100%, 100%), 1fr));}
} */

@media (max-width: 750px){
  html {overflow-x: hidden !important;}
  .blog-content {flex-direction: column;}
  .content-side {width: 100% !important;}

  .game-rate-box {
    width: 100%;
    margin: 0 auto;
    max-width: 90vw;
  }

  .game-rate {padding: 1em 15px;}

  .game-rate-side .cover {
    top: 0;
    height: 100%;
    min-height: auto;
    position: relative;
  }

  .game-rate-box:hover .game-rate-side .cover {
    top: -2em;
    height: 35vw;
    position: relative;
  }

  .article-gallery {margin: 3em auto 4em;}
  .large {grid-row: span 5;}
  .recommendation-card {width: 48%;}
}

@media (max-width: 700px){
  .details__summary, .details__content {padding: 15px 24px 15px 48px;}
  .content-boxes {flex-wrap: wrap;}

  .opinion-box {
    width: 100%;
    height: 210px;
  }

  .opinion-box:last-child {width: 100%;}
  .gallery-js a figure img {border-radius: 8px;}
  .details__content {padding: 15px;}
  .details__content ol {padding: 0 15px;}
  .portal-calification h2 span:first-child {text-align: left;}
  .portal-calification h2 span:nth-child(2) {width: 26%;}

  .portal-calification h2 span:last-child {
    width: 39%;
    text-align: right;
  }
}

@media (max-width: 600px){
  .banner, .fill:before{height: 30vh;}
  .banner, .fill:before, .fill img {height: 30vh;}
  main {padding: 2em 4vw;}
  .content-side:first-child p, .details__content ol li, .article-gallery p {font-size: 14px;}
  .test-specs {max-width: 100%;}

  .spec-card {
    height: 100px;
    margin: 0 10px 0 0;
  }

  .article-gallery {margin: 3em auto 1em;}

  .slick-next, .slick-prev {top: 120% !important;}
  .slick-prev {left: 100px;}
  .slick-next {right: 100px;}

  .content-side iframe{height: 215px !important;}

  .gallery-js {
    gap: 15px;
    grid-template-columns: repeat(auto-fill, minmax(min(100%, 45%), 1fr));
  }

  .ad-mobile{display: block;}
}